# Class HasEnablePermission`Abstract`

#### Hierarchy (view full)

- HasEnablePermission
  - FormControlHasEnablePermissionDirective
  - MatButtonHasEnablePermissionDirective
  - MatCheckboxHasEnablePermissionDirective
  - MatInputHasEnablePermissionDirective
  - MatSelectHasEnablePermissionDirective
  - MatSlideToggleHasEnablePermissionDirective

#### Implements

- OnInit
- OnDestroy

- Defined in lib/has-enable-permission.ts:19

#####
Index

### Constructors

constructor

### Properties

_subscription?
authorization
cdr
identifier
scope
valueAccessor

### Methods

ngOnDestroy
ngOnInit
setDisabled

## Constructors

### constructor

- new HasEnablePermission(authorization, cdr, scope?, valueAccessor?): HasEnablePermission

- #### Parameters

  - authorization: AuthorizationService
  - cdr: ChangeDetectorRef
  - scope: null | string = null
  - valueAccessor: null | ControlValueAccessor[] = null

  #### Returns HasEnablePermission

  - Defined in lib/has-enable-permission.ts:24

## Properties

### `Private` `Optional` _subscription

_subscription?: Subscription

- Defined in lib/has-enable-permission.ts:22

### `Private` `Readonly` authorization

authorization: AuthorizationService

- Defined in lib/has-enable-permission.ts:26

### `Protected` `Readonly` cdr

cdr: ChangeDetectorRef

- Defined in lib/has-enable-permission.ts:28

### identifier

identifier: string

- Defined in lib/has-enable-permission.ts:20

### `Private` `Readonly` scope

scope: null | string = null

- Defined in lib/has-enable-permission.ts:31

### `Private` `Readonly` valueAccessor

valueAccessor: null | ControlValueAccessor[] = null

- Defined in lib/has-enable-permission.ts:34

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in lib/has-enable-permission.ts:60

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in lib/has-enable-permission.ts:39

### `Abstract` setDisabled

- setDisabled(disabled): void

- #### Parameters

  - disabled: boolean

  #### Returns void

  - Defined in lib/has-enable-permission.ts:64